clc;clear;close;
% element dimesions fo the linear shape function element
dx = .1; %m
dy = .1; %m
% element dimesions fo the quadratic shape function element
dxq = .1; %m
dyq = .1; %m
% Create the element matrices using each set of the shape functions 
[Cl,Ktotl,Rtotl] = SymbolicEqns_LinearShape(dx,dy);
% [Cq,Ktotq,Rtotq] = SymbolicEqns_QuadraticShape(dxq,dyq);
%% Numerical Integration of system
% Initial uniform domain temperature
Tinit = 273.1+45;
% Parameters used to create the time vector
start_time = 0;
dt = 10;
end_minutes = 10;
end_time = 60*end_minutes;
time = start_time:dt:end_time;
% Initialize a temperature matrix for the four node linear rectangular
% element
Tl = zeros(4,length(time));
Tl(:,1) = [Tinit Tinit Tinit Tinit];
% Create Euler time stepping system using the linear shape function
% element
Fl = dt*Rtotl;
Gl = Cl - dt*Ktotl;
% Linear shape function system time stepping
for i=2:length(time)
    Tl(:,i) = Cl\(Fl+Gl*Tl(:,i-1));
end
% Initialize a temperature matrix for the eight node quadratic rectangular
% element
% Tq = zeros(8,length(time));
% Tq(:,1) = [Tinit Tinit Tinit Tinit Tinit Tinit Tinit Tinit];
% % Create Euler time stepping system using the quadratic shape function
% % element
% Fq = dt*Rtotq;
% Gq = Cq - dt*Ktotq;
% Quadratic shape function system time stepping0
% for i=2:length(time)
%     Tq(:,i) = Cq\(Fq+Gq*Tq(:,i-1));
% end
% %% Post process to create a larger mesh using the shape function
% for k = 1:length(time)
%     name = ['t_' num2str(k)];
%     [Tqn.(name)] = GetTemps(dx,dy,Tq(:,k),10,2);
% end
%% Plotting and animation creation
% Linear shape functions
name1 = 'test6_10minCool_bothSides.avi';
vid = VideoWriter(name1);
vid.Quality = 100;
vid.FrameRate = 30;
open(vid);
% % Create an animation and set the color axes to stay fixed based on the
% % scaling in the initial pcolor plot created below
T(1,1) = Tl(4,1);
T(1,2) = Tl(3,length(time));
T(2,1) = Tl(1,1);
T(2,2) = Tl(2,length(time));
pcolor(T); shading interp; colorbar; caxis manual;
set(gca,'nextplot','replacechildren');
% run the loop to plot the temp map through time and get the movie frames
for i = 1:length(time)
    T(1,1) = Tl(1,i);
    T(1,2) = Tl(2,i);
    T(2,1) = Tl(4,i);
    T(2,2) = Tl(3,i);
    %name = ['time_' num2str(i)];
    caxis manual
    pcolor(T);shading interp;colorbar;
    %caxis(v);
    writeVideo(vid, getframe(gcf));
end
close(vid);
%open the windows avi file
%winopen(name1)
% 
% % Quadratic shape functions
% vid = VideoWriter('tes2.avi');
% vid.Quality = 100;
% vid.FrameRate = 30;
% open(vid);
% % Create an animation and set the color axes to stay fixed based on the
% % scaling in the initial pcolor plot created below
% Tte(1,1) = Tq(7,1);
% Tte(1,2) = Tq(6,1);
% Tte(1,3) = Tq(5,length(time));
% Tte(2,1) = Tq(8,1);
% Tte(2,2) = mean(Tq(:,round(length(time)/2)));
% Tte(2,3) = Tq(4,length(time));
% Tte(3,1) = Tq(1,1);
% Tte(3,2) = Tq(2,round(length(time)/2));
% Tte(3,3) = Tq(3,length(time));
% pcolor(Tte);colorbar; caxis manual;
% set(gca,'nextplot','replacechildren');
% % run the loop to plot the temp map through time and get the movie frames
% for i = 1:length(time)
%     name = ['t_' num2str(k)];
%     caxis manual
%     pcolor(Tqn.(name));colorbar;
%     writeVideo(vid, getframe(gcf));
% end
% close(vid);
% %open the windows avi file
% winopen('test2.avi')
