function [T] = GetTemps(dx,dy,Tq,xd,yd)
X = 0:(dx/xd):dx;
Y = dy:(-dy/yd):0;
%[x,y] = meshgrid(X,Y);
xc = dx/2;
yc = dy/2;
% Quadratic serendipity Shape functions 
syms x y 
psi = 2*(x-xc)/dx; eta = 2*(y-yc)/dy;
    %Corner nodes
N1 = .25*(1-psi)*(1-eta)*(-psi-eta-1);
N3 = .25*(1+psi)*(1-eta)*(psi-eta-1);
N5 = .25*(1+psi)*(1+eta)*(psi+eta-1);
N7 = .25*(1-psi)*(1+eta)*(-psi+eta-1);
    % Mid vert-nodes (psi = 0)
N2 = .5*(1-psi^2)*(1-eta);
N6 = .5*(1-psi^2)*(1+eta);
    % Mid horiz-nodes (eta = 0)
N4 = .5*(1+psi)*(1-eta^2);
N8 = .5*(1-psi)*(1-eta^2);

Nmat_row = [N1 N2 N3 N4 N5 N6 N7 N8];

T = zeros(length(Y),length(X));
for i=1:length(Y)
    for j = 1:length(X)
        T(i,j) = double(subs(subs(Nmat_row,x,X(j)),y,Y(i)))*Tq;
    end
end
