clc;close;clear;

load('GlobalSys_6by6_030713.mat');

n_ele_x = 6;
n_ele_y = 6;
dof = (n_ele_x+1)*(n_ele_y+1);
%% Numerical Integration of system
% Initial uniform domain temperature
TinC = 45;
Tinit = 273.1+TinC;
% Parameters used to create the time vector
start_time = 0;
k = 25;
rho = 2169;
cp = 980;
alpha = k/rho/cp;
L = .1;
lamM = 12*alpha/L^2;
dt_crit = 2/lamM;
dt = 1/100*dt_crit;
end_minutes = 30;
end_time = 60*end_minutes;
time = start_time:dt:end_time;
% Initialize a temperature matrix for the four node linear rectangular
% element
Tl = zeros(dof,length(time));
Tl(:,1) = Tinit*ones(length(dof),1);
% Create Euler time stepping system using the linear shape function
% element
Fg = dt*Rg;
Gg = Cg - dt*Kg;
% Linear shape function system time stepping
%for i=2:length(time)
RT = 25;
room_temp = 273.1+RT;
i=2;
while mean(Tl(:,i-1))>room_temp && i<length(time)
    Tl(:,i) = Cg\(Fg+Gg*Tl(:,i-1));
    i=i+1;
end
clear Fg Gg Cg Rg Kg
load('GlobalSys_Settling_6by6_030713.mat');
end_minutes_s = 3;
end_time_s = 60*end_minutes_s;
time_s = start_time:dt:end_time_s;
% Initialize a temperature matrix for the four node linear rectangular
% element
Tls = zeros(dof,length(time_s));
Tls(:,1) = Tl(:,i-1);
% Create Euler time stepping system using the linear shape function
% element
Fgs = dt*Rg;
Ggs = Cg - dt*Kg;
% Linear shape function system time stepping
for k=2:length(time_s)
    Tls(:,k) = Cg\(Fgs+Ggs*Tls(:,k-1));
end

%% Plotting and animation creation
% Linear shape functions
% name1 = 'test1_15minCool_6by6.avi';
% vid = VideoWriter(name1);
% vid.Quality = 100;
% vid.FrameRate = 15;
% open(vid);
% % Create an animation and set the color axes to stay fixed based on the
% % scaling in the initial pcolor plot created below
% T = [Tinit, 277, 275;Tinit,278,276;Tinit,277,274];
% pcolor(T); shading interp; colorbar; caxis manual;
% set(gca,'nextplot','replacechildren');
% % run the loop to plot the temp map through time and get the movie frames
% x = n_coords(:,1); y = n_coords(:,2);
% for i = 1:(10/dt*dt):length(time)
%     for j = 1:(n_ele_y+1)
%         for k = 1:(n_ele_x+1)
%             T(j,k) = Tl(((dof-n_ele_x)+(k-1)-((j-1)*(n_ele_x+1))),i);
%         end
%     end
%     pcolor(T);shading interp;colorbar;
%     writeVideo(vid, getframe(gcf));
% end
% close(vid);
% winopen(name1);
time_cool = time(1:(i-1))';
load('T_bg_comp.mat')
time_bg = time;
dt_bg = dt/30;
time_match_ind = 31:30:round(((i-1)*dt/60+3)*60/dt_bg);
time_new_bg = time_bg([1,time_match_ind]);
Tmc = Tmidcomp(:,[1,time_match_ind]);

Ttot(:,1:(i-1)) = Tl(:,1:(i-1));
Ttot(:,i:((i-1)+length(time_s))) = Tls;

% figure(2)
dx = L/n_ele_x;
x = 0:dx:L;
x=x';
xbg = dx/2:dx:(L-dx/2);
xbg = xbg';
% time1ind=1;time2ind=round(.25*(i-1));time3ind=round(.5*(i-1));time4ind=round(.75*(i-1));time5ind=(i-1);
% plot(x,Tl(22:28,time1ind),x,Tl(22:28,time2ind),x,Tl(22:28,time3ind),x,Tl(22:28,time4ind),x,Tl(22:28,time5ind));
% title(['Cool-down from ' num2str(TinC) ' ^oC to ' num2str(RT) ' ^oC, Total Time = ' num2str(((i-1)*dt/60)+end_minutes_s) ' minutes']);
% hold on;
% t2=round(.1*length(time_s));t3=round(.3*length(time_s));t4=round(.5*length(time_s));t5=round(.8*length(time_s));
% plot(x,Tls(22:28,t2),'--',x,Tls(22:28,t3),'--',x,Tls(22:28,t4),'--',x,Tls(22:28,t5),'--',x,Tls(22:28,length(Tls(1,:))),'--');
% hold off;

xmin = 0;xmax = L;ymin = 295; ymax = 320;
name2 = 'Cool_6by6_midTemps_Comparison.avi';
vid = VideoWriter(name2);
vid.Quality = 100;
vid.FrameRate = 15;
open(vid);
n=3;
for j=1:10:length(Ttot(1,:))
    figure(3)
    h=plot(x,Ttot(22:28,j),'-*',xbg,Tmc(:,j),'-.');
    set(h,'LineWidth', n);
    set(gca,'FontSize',14);
    axis([xmin xmax ymin ymax]);xlabel('Cell Width, [m]');ylabel('Temperature, [K]');
    title(['Cool-down from ' num2str(TinC) ' ^oC to ' num2str(RT) ' ^oC, Total Time = ' num2str(((i-1)*dt/60)+end_minutes_s) ' minutes']);
    legend('FEM','Bond Graph');
    writeVideo(vid, getframe(gcf));
end
close(vid);
winopen(name2);

