function [core_elems,corner_elems,bott_elems,top_elems,right_elems,left_elems] = findElems(n_ele_x,n_ele_y)

% Core elements
  num_core_elems = (n_ele_x-2)*(n_ele_y-2);
  core_elems = zeros(num_core_elems,1);
  for j = 1:(n_ele_y-2)
      for i = 1:(n_ele_x-2)
          k=i+(j-1)*(n_ele_x-2);
          core_elems(k) = (n_ele_x+2) + (i-1) + (j-1)*n_ele_x;
      end
  end
  % Corner elements
  %num_corner_elems = 4; % fixed at four as this is a simple rectangular mesh and thus must have four corners
  corner_elems(1) = 1;                              % bottom left corner
  corner_elems(2) = n_ele_x;                        % bottom right corner
  corner_elems(3) = n_ele_x*n_ele_y;                % top right corner
  corner_elems(4) = n_ele_x*n_ele_y - (n_ele_x-1);      % top left corner
  
  % Bottom elements
  num_bott_elems = (n_ele_x - 2);
  bott_elems = zeros(num_bott_elems,1);
  for i = 1:num_bott_elems
      bott_elems(i) = 1+i;
  end
  
  % Top elements
  num_top_elems = (n_ele_x - 2);
  top_elems = zeros(num_top_elems,1);
  for i = 1:num_top_elems
      top_elems(i) = (n_ele_x*n_ele_y - (n_ele_x-2))+(i-1);
  end
  
  % Right elements
  num_right_elems = (n_ele_y - 2);
  right_elems = zeros(num_right_elems,1);
  for i = 1:num_right_elems
      right_elems(i) = 2*n_ele_x + (i-1)*n_ele_x;
  end
  
  % Left elements
  num_left_elems = (n_ele_y - 2);
  left_elems = zeros(num_left_elems,1);
  for i = 1:num_left_elems
      left_elems(i) = n_ele_x+1 + (i-1)*n_ele_x;
  end
%--------------------------------------------------------------------------